Debian Bug report logs - #702745
ITP: pkgconf -- a pkg-config replacement

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrew Shadura <bugzilla@tut.by>

Date: Sun, 10 Mar 2013 23:24:01 UTC

Owned by: Andrew Shadura <bugzilla@tut.by>

Severity: wishlist

Fixed in version pkgconf/0.9.4-1

Done: Andrew Shadura <andrewsh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#702745; Package wnpp. (Sun, 10 Mar 2013 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 10 Mar 2013 23:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pkgconf -- a pkg-config replacement
Date: Mon, 11 Mar 2013 00:20:56 +0100
Package: wnpp
Severity: wishlist
Owner: Andrew Shadura <bugzilla@tut.by>

* Package name    : pkgconf
  Version         : 0.8.12
  Upstream authors: Baptiste Daroussin <bapt@FreeBSD.org
                    Jeff Horelick <jdhore@gentoo.org>
                    Michał Górny <mgorny@gentoo.org
                    William Pitcock <nenolod@atheme.org>
* URL             : https://github.com/pkgconf/pkgconf
* License         : ISC
  Programming Lang: C
  Description     : a pkg-config replacement

 pkgconf is a replacement for pkg-config, a system for managing library
 compile and link flags that works with automake and autoconf.
 .
 As far as it's known to date, pkgconf is compatible with all known
 variations of this macro. pkgconf detects at runtime whether or not it
 was started as 'pkg-config', and if so, attempts to set program options
 such that its behaviour is similar.
 .
 pkgconf builds an acyclic directed dependency graph. This allows for
 the user to more conservatively link their binaries — which may be
 helpful in some environments, such as when prelink(1) is being used. As
 a result of building a directed dependency graph designed for the
 specific problem domain provided by the user, more accurate
 dependencies can be determined. pkg-config, on the other hand builds a
 database of all known pkg-config files on the system before attempting
 to resolve dependencies, which is a considerably slower and less
 efficient design.
 .
 pkgconf does not bundle any third-party libraries or depend on any
 third-party libraries.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 04 Jan 2014 19:06:12 GMT) Full text and rfc822 format available.

Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Sun, 05 Jan 2014 19:00:42 GMT) Full text and rfc822 format available.

Notification sent to Andrew Shadura <bugzilla@tut.by>:
Bug acknowledged by developer. (Sun, 05 Jan 2014 19:00:42 GMT) Full text and rfc822 format available.

Message #12 received at 702745-close@bugs.debian.org (full text, mbox):

From: Andrew Shadura <andrewsh@debian.org>
To: 702745-close@bugs.debian.org
Subject: Bug#702745: fixed in pkgconf 0.9.4-1
Date: Sun, 05 Jan 2014 19:00:07 +0000
Source: pkgconf
Source-Version: 0.9.4-1

We believe that the bug you reported is fixed in the latest version of
pkgconf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702745@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Shadura <andrewsh@debian.org> (supplier of updated pkgconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 05 Jan 2014 01:03:56 +0100
Source: pkgconf
Binary: pkgconf
Architecture: source hurd-i386
Version: 0.9.4-1
Distribution: unstable
Urgency: low
Maintainer: Andrew Shadura <andrewsh@debian.org>
Changed-By: Andrew Shadura <andrewsh@debian.org>
Description: 
 pkgconf    - manage compile and link flags for libraries
Closes: 702745
Changes: 
 pkgconf (0.9.4-1) unstable; urgency=low
 .
   * Initial Release (Closes: #702745).
Checksums-Sha1: 
 3ba6c13e3aee1f4019a613fc0a770fc7cf2d4bbf 1843 pkgconf_0.9.4-1.dsc
 2d353227f5dfbcaa2c0f48f045f828dac2abcff0 83824 pkgconf_0.9.4.orig.tar.bz2
 c28e8279f2ea5e61fb19d55fd7cb2d0d34ccbcd7 4349 pkgconf_0.9.4-1.debian.tar.gz
 e01ce264f8bac58821230f2f98ebcef962e49efc 26132 pkgconf_0.9.4-1_hurd-i386.deb
Checksums-Sha256: 
 a05c9255f3c83cc68b0557a281862588897a55b91a9ff43dc1bf58347029df07 1843 pkgconf_0.9.4-1.dsc
 3d7d6ecbbb868145a04851c19a56dbf4ca0bf3ebcbb59f84cb440d95b6ca3cb5 83824 pkgconf_0.9.4.orig.tar.bz2
 3e749b132f889ba6b9f2ce2d8b94dbf148e6d3d270d04e419d93c91e6a1c1160 4349 pkgconf_0.9.4-1.debian.tar.gz
 e20615a0c07311160c0413683767350aabf8818d297f660ed43e77562e9b0685 26132 pkgconf_0.9.4-1_hurd-i386.deb
Files: 
 c8e33f833a95f5ef07c21af740cd5a4c 1843 devel optional pkgconf_0.9.4-1.dsc
 88f34448e9c5c20b23c328824043a239 83824 devel optional pkgconf_0.9.4.orig.tar.bz2
 578c62fcdb96b61c2999801dc9fcf1e0 4349 devel optional pkgconf_0.9.4-1.debian.tar.gz
 a78930cec8fc5ac56c59521d1e35ab4b 26132 devel optional pkgconf_0.9.4-1_hurd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSyKaaAAoJEG6k0jEaLSaNt/8QAJ4Vs/X1+jkT0lF/dn6uPwQO
TtUC8tN/16hFU3qkR67YLgKZVAe8n+JBSNlZlk8uFrRhnKOH6XxnYRl6uub3DlTq
uRykImlD5tmYqFz3GdVUVmh0AKUW0gXOiP5DafeTDNfVr3V+dVZBHowXvtkN6ASI
KXmEOhxXOgWMl+ny5lesE4q7mjQ9Z0Hlk8MYcqYePP71Wbhq4CWbA1n3uICY0G/B
I0HJwlcEgXQeHgl89JsWfQ+WY+TVBhp3M04/wzCJR6Bsg8TGyf7hsqaq/1+JZPAB
hZOOCMe+m2sdO6/Aj0RTcZXs+HdjJVrRZJiK6U0Sf4N/MifOKbuWgyuTlRWIHK3h
E8e2VcKYzGRQNnhBe8rH4xwYiFMvNrHR0ZvTdQg7NzlXEBdeW53FIfbcdIBjN6Et
hmM0Yvu/UpQRxFKvyy30f0kwB8o40ii2GcGfWq3lAFnXxrewNvAbSYdEKEOeSC2k
g/dejo/vsZPA+gshbhM1QdL0UeVbHzKOeuhsaTE8AgKYZPcZp8Es5mn1wCaSiA3W
/JesqThwpU+PbFaQO8ydzsXkMluSRdFEzUR7oBWLtkgWDvqI76h/8BA3yq2DT9Du
xYWGWgQiDFW4iRybuNXV95QOms7UdWnBtIAWryhIqrqsPbwWbz0GzZY4vruq2hsp
+KGqDT75LY3c24nlbf8Q
=1dEy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Feb 2014 07:31:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:31:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.